#include <algorithm>
#include <bitset>
#include <cctype>
#include <cfloat>
#include <climits>
#include <cmath>
#include <complex>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <deque>
#include <functional>
#include <iostream>
#include <list>
#include <map>
#include <numeric>
#include <queue>
#include <set>
#include <stack>
#include <string>
#include <utility>
#include <vector>
using namespace std;

typedef pair<int, int> ii;
typedef vector<ii> vii;
typedef vector<vii> vvii;
typedef vector<int> vi;
typedef vector<vi> vvi;

#define sz(a) int((a).size())
#define fi first
#define se second
#define pb push_back
#define mp make_pair
#define all(c) (c).begin(), (c).end()
#define tr(c,i) for(typeof((c).begin()) i = (c).begin(), _e = (c).end(); i != _e; ++i)
#define present(c,x) ((c).find(x) != (c).end())
#define cpresent(c,x) (find(all(c),x) != (c).end())
#define rep(i,n) for(int i = 0, _n = (n); i < _n; ++i)
#define repd(i,n) for(int i = (n)-1; i >= 0; --i )
#define fo(i,a,b) for(int i = (a), _b = (b); i <= _b; ++i)
#define fod(i,a,b) for(int i = (a), _b = (b); i >= _b; --i)

#define INF 1000000000
#define N 10005

int a[N], b[N], x[N], y[N], n;

int cmp1( const int & x, const int & y ) {
	return a[x] < a[y];
}

int cmp2( const int & x, const int & y ) {
	return b[x] > b[y];
}

int main() {
	scanf("%d",&n);
	rep(i,n) scanf("%d",a+i);
	rep(i,n) scanf("%d",b+i);
	int cx = 0, cy = 0;
	rep(i,n) if( a[i] <= b[i] ) x[cx++] = i; else y[cy++] = i;
	sort(x,x+cx,cmp1); sort(y,y+cy,cmp2); copy(y,y+cy,x+cx);
	int ta = a[x[0]], tb = ta + b[x[0]];
	fo(i,1,n-1) {
		ta += a[x[i]];
		if( ta >= tb ) tb = ta + b[x[i]];
		else tb += b[x[i]];
	}
	printf("%d\n%d", tb, x[0]+1);
	fo(i,1,n-1) printf(" %d", x[i]+1);
	printf("\n");
	return 0;
}

